package RevenueManagement.MultiLeg.General;

import java.io.*;

public class GlobalParamsKeeper 
{
    int noTimePeriods;
    File outFile;
    PrintWriter outWriter;
    static GlobalParamsKeeper instance;
    
    public GlobalParamsKeeper ( File outFile_ , int noTimePeriods_ )
    {
        try
        {
            outFile = outFile_;
            noTimePeriods = noTimePeriods_;
            outWriter = new PrintWriter( new BufferedWriter ( new OutputStreamWriter ( new FileOutputStream ( outFile ) ) ) );
            instance = this;
        }
        catch ( IOException e )
        {
            throw new Error ( e.getClass() + " " + e.getMessage() );
        }
    }
    
    public int getNoTimePeriods()
    {
        return noTimePeriods;
    }
    
    public PrintWriter getOutWriter()
    {
        return outWriter;
    }
    
    public static GlobalParamsKeeper instance()
    {
        return instance;
    }
}
