package RevenueManagement.MultiLeg.General;

public class Itin
{
    /* no of flight legs in the itinerary */
    int noFlights;
    /* origin and destination for the itin */
    String origin;
    String destination;
    /* flights in the itinerary */
    Flight[] flights;
    /* fare class for itinerary */
    int fareClass;
    /* fare for the itinerary */
    double fare;
    /* counts the number of flights already added to the itinerary */
    int size;
    
    public Itin ( int noFlights_ , String origin_,  String destination_ , int fareClass_ , double fare_ )
    {
        noFlights = noFlights_;
        origin = origin_;
        destination = destination_;
        flights = new Flight[ noFlights ];
        fareClass = fareClass_;
        fare = fare_;
        size = 0;
    }
    
    public void addFlight ( Flight flight )
    {
        flights[ size ] = flight;
        size ++;
    }
    
    public Flight[] getFlights()
    {
        return flights;
    }
    
    public int getFareClass()
    {
        return fareClass;
    }
    
    public double getFare()
    {
        return fare;
    }
    
    public String getOrigin()
    {
        return origin;
    }
    
    public String getDestination()
    {
        return destination;
    }
}
