package RevenueManagement.MultiLeg.General;

public class LocationKeeper
{
    String[] locations;
    int noLocations;
    int size;
    static LocationKeeper instance;
    
    public LocationKeeper ( int noLocations_ )
    {
        noLocations = noLocations_;
        locations = new String[ noLocations ];
        size = 0;
        instance = this;
    }
    
    public void addLocation ( String location )
    {
        locations[ size ] = location;
        size ++;
    }
    
    public String getLocation ( int index )
    {
        return locations[ index ];
    }
    
    public int getLocationIndex ( String location )
    {
        for ( int i = 0 ; i < size ; i ++ )
        {
            if ( locations[ i ].equals( location ) )
                return i;
        }
        throw new Error ( "cannot find location " + location );
    }
    
    public String[] getLocations()
    {
        return locations;
    }
    
    /* returns the number of locations */
    public int getNoLocations()
    {
        return size;
    }
    
    public static LocationKeeper instance()
    {
        return instance;
    }
}
