package RevenueManagement.CrashCourse;

import java.io.*;

public class Main
{
    public static void main1 ( String[] args )
    {
        // john's initial health level is 100 
        Robot john = new Robot ( "john" , 100 );
        Robot marry = new Robot ( "marry" , 105  );
        Robot tom = new Robot ( "tom_walker" , 70 );
        
        john.speak();
        System.out.println();
        
        // john attacks marry, marry is stronger
        john.attack( marry );
        john.speak();
        marry.speak();
        System.out.println();
        
        // john attacks tom, tom is stronger
        john.attack( tom );
        john.speak();
        tom.speak();
        System.out.println();
    }
    
    
    public static void main2 ( String[] args )
    {
        // create a robot keeper with 21 robot capacity
        new RobotKeeper( 21 );
        // create 20 robots and add them to the robot keeper
        for ( int i = 0 ; i < 20 ; i ++ )
        {
            Robot cr = new Robot ( "Robot" + i , (int) ( 100 * Math.random() ) );
            RobotKeeper.getInstance().addRobot( cr );
        }
        
        Robot john = new Robot( "john" , 100 );
        RobotKeeper.getInstance().addRobot( john );
        
        Robot r05 = RobotKeeper.getInstance().getRobot( 5 );
        r05.speak();
        System.out.println();
        
        Robot r20 = RobotKeeper.getInstance().getRobot( 20 );
        r20.speak();
        System.out.println();
    }
    
    
    public static void main ( String[] args )
    {
        new RobotKeeper( 10 );
        File inFile = new File ( "c:\\huseyin\\research\\RevenueManagement\\CrashCourse\\Data\\list.txt" );
        RobotReader rr = new RobotReader( inFile );
        rr.read();
        
        for ( int i = 0 ; i < 10 ; i ++ )
        {
            Robot rc = RobotKeeper.getInstance().getRobot( i );
            rc.speak();
        }
    }
}
