package RevenueManagement.CrashCourse;

public class Robot
{
    // names of the robot
    String name;
    // health level of the robot
    int health;
    
    // populates a robot with a certain name, initial health level 
    public Robot ( String name_ , int health_ )
    {
        name = name_;
        health = health_;
    }
    
    public void speak()
    {
        System.out.println( "Hi, my name is " + name + "." );
        System.out.println( "My health level is " + health + "." );
    }
    
    // changes the health of the robot by a certain amount
    public void changeHealth ( int increment )
    {
        health = health + increment;
    }
    
    // attack a certain robot
    // returns the health of the robot after the attack
    public int attack ( Robot opponent )
    {
        int opponentHealth = opponent.getHealth();
        // health variable below corresponds to this robot's health variable
        if ( opponentHealth <= health )
        {
            opponent.changeHealth( -5 );
        }
        else
        {
            changeHealth( -5 );
        }
        return health;
    }
    
    
    // returns the name of the robot
    public String getName()
    {
        return name;
    }
    
    // returns the health of the robot
    public int getHealth()
    {
        return health;
    }
}
